Page MenuHomeFreeBSD

Replace the printf()s with optional rate limited debugging for RSS
ClosedPublic

Authored by btw on Aug 24 2015, 3:01 PM.

Details

Summary

Replace the printf()s with optional rate limited debugging for RSS.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

btw retitled this revision from to Replace the printf()s with optional rate limited debugging for RSS.
btw updated this object.
btw edited the test plan for this revision. (Show Details)
btw added reviewers: adrian, gnn, hiren.
btw set the repository for this revision to rS FreeBSD src repository - subversion.
gnn edited edge metadata.
This revision is now accepted and ready to land.Aug 24 2015, 3:32 PM
adrian edited edge metadata.

Actually, we've hand-rolled 'ratecheck()'. Would you like to modify your code to use ppsratecheck() instead? That'd make this all much easier.

sys/net/rss_config.h
105 ↗(On Diff #8167)

Use ppsratecheck() here and a global rate limit timeval for RSS.

In D3471#71596, @adrian wrote:

Actually, we've hand-rolled 'ratecheck()'. Would you like to modify your code to use ppsratecheck() instead? That'd make this all much easier.

Sure!

btw edited edge metadata.

Use ppsratelimit() for doing message rate limiting and and a global rate limit (maxpps, ie. the 3rd parameter of ppsratelimit()) for RSS.

This revision now requires review to proceed.Aug 27 2015, 7:10 AM

I'm okay with this, we can replace it with SDT stuff when it's ready.

adrian edited edge metadata.

I'm okay with this, we can replace it with SDT stuff when it's ready.

This revision is now accepted and ready to land.Aug 28 2015, 5:57 AM
This revision was automatically updated to reflect the committed changes.